## Get attribute import status

### cURL

```
curl --request GET \
  --url https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'domain: <domain>'
```

### Python

```
import requests

url = "https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id}"

headers = {
    "domain": "<domain>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {domain: '<domain>', Authorization: 'Bearer <token>'}};

fetch('https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Status Codes
- 200
- 400
- 401
- 404
- 500

### Example Response 200
```json
{
  "import_id": "e2716438-b763-4be8-82d2-36abe0cb92b1",
  "name": "attribute_test.csv",
  "status": "COMPLETED",
  "total_rows": 36,
  "processed_rows": 36,
  "created_count": 35,
  "updated_count": 0,
  "skipped_count": 0,
  "failed_count": 1,
  "input_filename": "attribute_test.csv",
  "input_file_url": "https://example.com/input.csv",
  "error_file_url": "https://example.com/errors.csv",
  "error_message": null,
  "errors": [
    "Row 35: invalid data_type 'BOOLREAN'"
  ],
  "started_at": "2026-03-12T18:04:03.998437Z",
  "completed_at": "2026-03-12T18:04:04.724584Z",
  "created_at": "2026-03-12T18:04:03.879876Z"
}
```

### Error Response
```json
{
  "errors": "<array>",
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

### Parameters
- **Authorization** (string): Required. Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
- **domain** (string): Required. The brand domain name (e.g., `vessel.com`) to scope the request.
- **import_id** (string<uuid>): Required. Import ID returned from `POST /v2/attributes/import`.
